package net.sf.l2j.gameserver.model.actor.instance;

import net.sf.l2j.gameserver.model.actor.L2Npc;
import net.sf.l2j.gameserver.model.actor.template.NpcTemplate;
import net.sf.l2j.gameserver.network.serverpackets.NpcHtmlMessage;

public class L2VoteNpcInstance extends L2Npc
{
	public L2VoteNpcInstance(int objectId, NpcTemplate template)
	{
		super(objectId, template);
	}
	
	@Override
	public void onBypassFeedback(final L2PcInstance player, String command)
	{
		if (player == null)
			return;
	}
	
	@Override
	public void showChatWindow(L2PcInstance player)
	{
		NpcHtmlMessage html = new NpcHtmlMessage(0);
		final StringBuilder sb = new StringBuilder();
		
		sb.append("<html><head><title>Vote Manager</title></head><body>");
		sb.append("<center>");
		
		if (player.eligibleToVoteHop())
			sb.append("<a action=\"bypass -h vote hopzone\">I have voted on hopzone</a><br1>");
		else
			sb.append(String.format("You can vote again in: %s <br1>", player.getVoteCountdownHop()));
		
		if (player.eligibleToVoteTop())
			sb.append("<a action=\"bypass -h vote topzone\">I have voted on topzone</a><br1>");
		else
			sb.append(String.format("You can vote again in: %s <br1>", player.getVoteCountdownTop()));
		
		if (player.eligibleToVoteNet())
			sb.append("<a action=\"bypass -h vote network\">I have voted on network</a><br1>");
		else
			sb.append(String.format("You can vote again in: %s <br1>", player.getVoteCountdownNet()));
		html.setHtml(sb.toString());
		html.replace("%objectId%", getObjectId());
		player.sendPacket(html);
	}
}


		<npc id="50103" idTemplate="35187" name="Vote Manager" title="L2World">
		<set name="level" val="70"/>
		<set name="radius" val="10"/>
		<set name="height" val="24"/>
		<set name="rHand" val="0"/>
		<set name="lHand" val="0"/>
		<set name="type" val="L2VoteNpc"/>
		<set name="exp" val="0"/>
		<set name="sp" val="0"/>
		<set name="hp" val="2444.46819"/>
		<set name="mp" val="1345.8"/>
		<set name="hpRegen" val="7.5"/>
		<set name="mpRegen" val="2.7"/>
		<set name="pAtk" val="688.86373"/>
		<set name="pDef" val="295.91597"/>
		<set name="mAtk" val="470.40463"/>
		<set name="mDef" val="216.53847"/>
		<set name="crit" val="4"/>
		<set name="atkSpd" val="253"/>
		<set name="str" val="40"/>
		<set name="int" val="21"/>
		<set name="dex" val="30"/>
		<set name="wit" val="20"/>
		<set name="con" val="43"/>
		<set name="men" val="20"/>
		<set name="corpseTime" val="7"/>
		<set name="walkSpd" val="50"/>
		<set name="runSpd" val="120"/>
		<set name="dropHerbGroup" val="0"/>
		<set name="attackRange" val="40"/>
		<ai type="default" ssCount="0" ssRate="0" spsCount="0" spsRate="0" aggro="0" canMove="true" seedable="false"/>
		<skills>
			<skill id="4045" level="1"/>
			<skill id="4416" level="14"/>
		</skills>
    </npc>